# org.apache.cassandra.db.filter

## Interfaces

- IDiskAtomFilter

## Classes

- ColumnCounter
- ColumnCounter.GroupByPrefix
- ColumnCounter.GroupByPrefixReversed
- ColumnSlice
- ColumnSlice.Serializer
- ExtendedFilter
- ExtendedFilter.WithClauses
- IDiskAtomFilter.Serializer
- NamesQueryFilter
- NamesQueryFilter.Serializer
- QueryFilter
- SliceQueryFilter
- SliceQueryFilter.Serializer

## Exceptions

- TombstoneOverwhelmingException